SQL-инъекция в PhotoStore

Дата публикации:
15.05.2008
Всего просмотров:
825
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PhotoStore 2.x
PhotoStore 3.x
Уязвимые версии: PhotoStore версии до 3.5.5

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "gid" в сценарии gallery.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Уязвимость обнаружена в версии 3.4.3.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "gid" в сценарии about_us.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Уязвимость обнаружена в версиях 3.4.3 и 3.5.2.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии manager/image_details_editor.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.ktools.net/photostore/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA